Bug 89409 - Unmodified form control value is overwritten by another form control value with the same name after navigating and going back
Summary: Unmodified form control value is overwritten by another form control value wi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on: 89412 89539
Blocks: 23346
  Show dependency treegraph
 
Reported: 2012-06-18 19:01 PDT by Kent Tamura
Modified: 2012-06-20 18:33 PDT (History)
4 users (show)

See Also:


Attachments
WIP (13.91 KB, patch)
2012-06-19 22:10 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-04 (484.81 KB, application/zip)
2012-06-19 22:43 PDT, WebKit Review Bot
no flags Details
Patch (17.36 KB, patch)
2012-06-20 03:56 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2012-06-18 19:01:19 PDT
http://code.google.com/p/chromium/issues/detail?id=76739

If a page has multiple form controls of which names are identical like the following,
  <input type=text name=name1 id=input1>
  <input type=text name=name1 id=input2>
and a user update the value of the second control, then go to another page and go back to the page again,

Expected:
 The second input has the value which the user entered.

Actual:
 The first input has the value which the user entered, and the second input has the initial value.
Comment 1 Kent Tamura 2012-06-19 22:10:55 PDT
Created attachment 148503 [details]
WIP
Comment 2 WebKit Review Bot 2012-06-19 22:14:51 PDT
Attachment 148503 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1
Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 7 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 WebKit Review Bot 2012-06-19 22:43:40 PDT
Comment on attachment 148503 [details]
WIP

Attachment 148503 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13004116

New failing tests:
fast/forms/state-restore-to-non-edited-controls.html
Comment 4 WebKit Review Bot 2012-06-19 22:43:43 PDT
Created attachment 148509 [details]
Archive of layout-test-results from ec2-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 5 Kent Tamura 2012-06-20 03:56:12 PDT
Created attachment 148534 [details]
Patch
Comment 6 Hajime Morrita 2012-06-20 18:21:44 PDT
Comment on attachment 148534 [details]
Patch

The state (de)serialization flow looks becoming a bit cryptic. 
My feeling is that it is because the state is stored as a string vector instead of string.
If we control the format, the code will become much cleaner.
Comment 7 WebKit Review Bot 2012-06-20 18:31:25 PDT
Comment on attachment 148534 [details]
Patch

Clearing flags on attachment: 148534

Committed r120895: <http://trac.webkit.org/changeset/120895>
Comment 8 WebKit Review Bot 2012-06-20 18:31:30 PDT
All reviewed patches have been landed.  Closing bug.